### Virtual Method

# Foundry Sdk translate_path

since: 1.1

#### Declaration [src]

    DexFuture*
    translate_path (
      FoundrySdk* self,
      FoundryBuildPipeline* pipeline,
      const char* path
    )

#### Description [src]

This function should be implemented by SDKs so that you can convert a path within the container to a path outside the container.

For example, if we want to know where to find the location of `/usr/share/gir-1.0/GLib-2.0.gir` within the SDK (or pipeline build) we could use this function to get a path available from our current environment which might route through `file:///var/run/host/...`.

Available since: 1.1

#### Parameters

`pipeline`

  Type: `FoundryBuildPipeline`

  A `FoundryBuildPipeline`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`path`

  Type: `const char*`

  The path within the SDK to be translated.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GFile` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.